package bus.controller.biz;

import com.github.pagehelper.PageHelper;
import com.github.pagehelper.PageSerializable;
import bus.model.dto.BCoursePreDto;
import bus.model.dto.BCoursePrePageDto;
import bus.model.vo.BCoursePreVo;
import bus.service.BCoursePreService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;
import com.qzwisdom.qzframework.core.tool.base.controller.BaseController;



/**
 * @Program: bus
 * @Description: 描述
 * @Author: zy
 * @Date: 2025-03-17 21:07:11
 **/
@Slf4j
@CrossOrigin
@RestController
@Api(tags = "bCoursePre接口")
@RequestMapping(value="/bCoursePre")
public class BCoursePreController implements BaseController {

    @Autowired
    private BCoursePreService bCoursePreService;



    /**
     * 详情
     * @param id
     * @return
     */
    @ApiOperation("详情")
    @GetMapping(value = "getDetailById")
    public BCoursePreVo getDetailById(@RequestParam String id){
        return doSingle(bCoursePreService.getDetailById(id),BCoursePreVo::new);
    }

	/**
     * 保存
     * @param dto
     * @return
     */
    @ApiOperation("保存")
    @PostMapping(value = "save")
    public String save(@RequestBody BCoursePreDto dto){
		bCoursePreService.save(dto);
        return "保存成功";
    }

    /**
    * 列表
    * @param dto
    * @return
    */
    @ApiOperation("列表")
    @PostMapping(value = "list")
    public PageSerializable<BCoursePreVo> list(@RequestBody BCoursePrePageDto dto){
       PageHelper.startPage(dto.getPageNum(),dto.getPageSize());
       return new PageSerializable<>(bCoursePreService.list(dto));
    }

	/**
     * 修改
     * @param dto
     * @return
     */
    @ApiOperation("修改")
    @PostMapping(value = "update")
    public String update(@RequestBody BCoursePreDto dto){
		bCoursePreService.update(dto);
        return "修改成功";
    }

	/**
     * 删除
     * @param id
     * @return
     */
    @ApiOperation("删除")
    @GetMapping(value = "deleteById")
    public String deleteById(@RequestParam String id){
		bCoursePreService.delete(id);
        return "删除成功";
    }

}
